/*
 * Copyright (C) 2003-2013 eXo Platform SAS.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.exoplatform.container.multitenancy.bridge;

import org.exoplatform.container.multitenancy.TenantsService;
import org.exoplatform.container.multitenancy.TenantsStateListener;

/**
 * Pluggable observer of Tenant events for {@link TenantsService} implementation.
 *
 * Created by The eXo Platform SAS.
 *
 * @author <a href="mailto:pnedonosko@exoplatform.com">Peter Nedonosko</a>
 * @version $Id: TenantStateObserver.java 00000 Feb 8, 2013 pnedonosko $
 *
 */
public interface TenantStateObserver
{

   /**
    * Add listener to Multitenancy core.
    *
    * @param listener {@link TenantsStateListener}
    */
   void addListener(TenantsStateListener listener);

   /**
    * Remove listener from Multitenancy core.
    *
    * @param listener {@link TenantsStateListener}
    */
   void removeListener(TenantsStateListener listener);

}
